Code

Leo GDPR - Prestashop Module for The General Data Protection Regulation

Leo GDPR - Prestashop Module for The General Data Protection Regulation

theme guide ticket support
mail support leo framework

Leo GDPR – Best Prestashop Module for The General Data Protection Regulation

The GDPR (The General Data Protection Regulation) – which comes into force on May 25, 2018, is a new EU legal framework that governs how users’ personal data is used. It applies to all automated and manual processing of personal data. We come up with Leo GDPR module that fulfills everything essential for the new law GDPR.

leo GDPR prestashop module

With Leo GDPR module, now you have the rights to:

    1. Keeping a record of your users in terms of their personal data

    Collect user information/ personal data when the request is sent to serve

    request form

    2. Delete your user information

    Admin browser to delete customer account when there are account deletion requests

    send the request to delete user information

    3. Retract the permission of collecting and keeping your user information

    Customer sends the request to delete the account

    Leo GDPR - Prestashop Module for The General Data Protection Regulation - 1

Leo GDPR supports to show in many positions on your website like Register, Contact us, Newsletter, ‘Checkout’ Form, Notify me when an available product, Continue

full config backend

leo GDPR free prestashop module

Leo GDPR module is very easy to install or use with Main Features:

  • Checkbox button: Create a Checkbox button in a form that doesn’t allow the user to send data when they don’t do the check
  • Request Form: The Form is created to collect user information/ personal data when the request is sent to serve
  • In user account, account deletion requests while waiting for account approval will be disabled
  • Add text under the checkbox
  • Add a link to checkbox tag
  • Account deletion request: Admin browses to delete customer account when there are account deletion requests

Change log:

Version 1.0.1

    - Compatible:Prestashop 1.7.6.x

Version 1.0.0

(+) Compatible: Prestashop 1.7.4.x, 1.7.5.x
(+) Add new
by
by
by
by
by
by